org.fourthline.cling.transport.impl.apache

## Class StreamServerConfigurationImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.apache.StreamServerConfigurationImpl

- All Implemented Interfaces:
    StreamServerConfiguration

      public class StreamServerConfigurationImpl
      extends Object
      implements StreamServerConfiguration

  Settings for the Apache HTTP Components implementation.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamServerConfigurationImpl()` Defaults to port '0', ephemeral.
    `StreamServerConfigurationImpl(int listenPort)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferSizeKilobytes()` Determines the size of the internal socket buffer used to buffer data while receiving/transmitting HTTP messages.
    `int` | `getDataWaitTimeoutSeconds()` Defines the socket timeout (SO_TIMEOUT) in seconds, which is the timeout for waiting for data.
    `int` | `getListenPort()`
    `int` | `getTcpConnectionBacklog()` This is the maximum number of queued incoming connections to allow on the listening socket.
    `boolean` | `isStaleConnectionCheck()` Determines whether stale connection check is to be used.
    `boolean` | `isTcpNoDelay()` Determines whether Nagle's algorithm is to be used.
    `void` | `setBufferSizeKilobytes(int bufferSizeKilobytes)`
    `void` | `setDataWaitTimeoutSeconds(int dataWaitTimeoutSeconds)`
    `void` | `setListenPort(int listenPort)`
    `void` | `setStaleConnectionCheck(boolean staleConnectionCheck)`
    `void` | `setTcpConnectionBacklog(int tcpConnectionBacklog)`
    `void` | `setTcpNoDelay(boolean tcpNoDelay)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamServerConfigurationImpl

          public StreamServerConfigurationImpl()

      Defaults to port '0', ephemeral.

    - #### StreamServerConfigurationImpl

          public StreamServerConfigurationImpl(int listenPort)

  - ### Method Detail

    - #### getListenPort

          public int getListenPort()

      Specified by:
        `getListenPort` in interface `StreamServerConfiguration`
      Returns:
        The TCP port to listen on for HTTP requests.

    - #### setListenPort

          public void setListenPort(int listenPort)

    - #### getDataWaitTimeoutSeconds

          public int getDataWaitTimeoutSeconds()

      Defines the socket timeout (SO_TIMEOUT) in seconds, which is the timeout for waiting for data. Defaults to 5 seconds.

    - #### setDataWaitTimeoutSeconds

          public void setDataWaitTimeoutSeconds(int dataWaitTimeoutSeconds)

    - #### getBufferSizeKilobytes

          public int getBufferSizeKilobytes()

      Determines the size of the internal socket buffer used to buffer data while receiving/transmitting HTTP messages. Defaults to 8 kilobytes.

    - #### setBufferSizeKilobytes

          public void setBufferSizeKilobytes(int bufferSizeKilobytes)

    - #### isStaleConnectionCheck

          public boolean isStaleConnectionCheck()

      Determines whether stale connection check is to be used. Disabling stale connection check may result in slight performance improvement at the risk of getting an I/O error when executing a request over a connection that has been closed at the server side. Defaults to `true`.

    - #### setStaleConnectionCheck

          public void setStaleConnectionCheck(boolean staleConnectionCheck)

    - #### isTcpNoDelay

          public boolean isTcpNoDelay()

      Determines whether Nagle's algorithm is to be used. Defaults to `true`.

    - #### setTcpNoDelay

          public void setTcpNoDelay(boolean tcpNoDelay)

    - #### getTcpConnectionBacklog

          public int getTcpConnectionBacklog()

      This is the maximum number of queued incoming connections to allow on the listening socket. Queued TCP connections exceeding this limit may be rejected by the TCP implementation.
      Returns:
        The number of queued connections, defaults to system default.

    - #### setTcpConnectionBacklog

          public void setTcpConnectionBacklog(int tcpConnectionBacklog)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.